-- R E C I P E S

for i in ipairs(colors) do
	local name = colors[i][1]

	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. " 4",
		recipe = {
			mymodname .. name .. "_square",
		},
	})

	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. "_square 4",
		recipe = {
			mymodname .. name .. "_block",
		},
	})

	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. "_block 4",
		recipe = {
			mymodname .. name .. "_brick",
		},
	})
	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. "_block",
		recipe = {
			mymodname .. name .. "_square",
			mymodname .. name .. "_square",
			mymodname .. name .. "_square",
			mymodname .. name .. "_square",
		},
	})
	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_brick",
		recipe = {
			{ mymodname .. name .. "_block", mymodname .. name .. "_block" },
			{ mymodname .. name .. "_block", mymodname .. name .. "_block" },
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_square",
		recipe = {
			{ mymodname .. name, mymodname .. name },
			{ mymodname .. name, mymodname .. name },
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. " 3",
		recipe = {
			{ mymodname .. name .. "_slab" },
			{ mymodname .. name .. "_slab" },
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_slab 6",
		recipe = {

			{ mymodname .. name, mymodname .. name, mymodname .. name },
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_stair 8",
		recipe = {
			{ "", "", mymodname .. name },
			{ "", mymodname .. name, mymodname .. name },
			{ mymodname .. name, mymodname .. name, mymodname .. name },
		},
	})

	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. " 6",
		recipe = {
			mymodname .. name .. "_stair",
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_stair_outer 7",
		recipe = {

			{ "", mymodname .. name, "" },
			{ mymodname .. name, "", mymodname .. name },
			{ mymodname .. name, mymodname .. name, mymodname .. name },
		},
	})

	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. " 6",
		recipe = {
			mymodname .. name .. "_stair_outer",
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_stair_inner 6",
		recipe = {

			{ "", mymodname .. name, "" },
			{ mymodname .. name, mymodname .. name, mymodname .. name },
		},
	})

	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. " 3",
		recipe = {
			mymodname .. name .. "_stair_inner",
		},
	})

	minetest.register_craft({
		type = "shapeless",
		output = mymodname .. name .. "_wood 4",
		recipe = {
			mymodname .. name .. "_tree",
		},
	})

	-- MESHES

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_table",
		recipe = {

			{ mymodname .. name, mymodname .. name, mymodname .. name },
			{ mymodname .. name, "", mymodname .. name },
			{ mymodname .. name, "", mymodname .. name },
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_chair",
		recipe = {

			{ "", "", mymodname .. name },
			{ mymodname .. name, mymodname .. name, mymodname .. name },
			{ mymodname .. name, "", mymodname .. name },
		},
	})

	minetest.register_craft({
		--type = "shapeless",
		output = mymodname .. name .. "_sofa",
		recipe = {

			{ mymodname .. name, "", mymodname .. name },
			{ mymodname .. name, mymodname .. name, mymodname .. name },
			{ mymodname .. name, mymodname .. name, mymodname .. name },
		},
	})
end
